# New source imported from rosa

%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define api		2
%define major		13
%define girmajor	2.0

%define libname 	%mklibname gladeui %{api} %{major}
%define girname		%mklibname gladeui-gir %{girmajor}
%define devname		%mklibname gladeui %{api} -d

Summary:	GTK+ / GNOME 3 widget builder
Name:		glade
Version:	3.38.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		http://glade.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:          https://gitlab.gnome.org/GNOME/glade/-/commit/6da47128e8.patch
Patch1:          https://gitlab.gnome.org/GNOME/glade/-/commit/efdd5338b0.patch
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: itstool meson
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64python-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xml2-devel
BuildRequires: python3-gobject3-devel

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. In particular libglade can
load the XML files and create the interfaces at runtime.

Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%package -n %{libname}
Summary:	Libraries required for %{name}
Group:		System/Libraries
Provides:	libgladeui = %{version}-%{release}
Obsoletes: lib64gladeui2_6

%description -n %{libname}
Libraries and file require to run program built with %{name}.

%package -n %{devname}
Summary:	Development libraries and include files for libgladeui (%{name})
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgladeui%{major}-devel = %{version}-%{release}


%description -n %{devname}
Development libraries, headers files and documentation needed in order
to develop applications using libgladeui (%{name}).

%prep
%setup -q
%apply_patches

%build
export PYTHON=python3

%meson -Dgtk_doc=true -Dgladeui=true -Dpython=enabled
%meson_build


%install
rm -rf %{buildroot}
%meson_install

# just in case, if appdata stuff is required?
#install -Dpm 0644 data/glade.appdata.xml %{buildroot}%{_datadir}/appdata/glade.appdata.xml

%find_lang %{name} --with-gnome

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/*/apps/glade*
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%{_datadir}/help/*/glade/*
%{_mandir}/man1/glade*
%{_datadir}/gettext/its/glade-catalog.its
%{_datadir}/gettext/its/glade-catalog.loc
%{_datadir}/gtk-doc/html/gladeui-2/*
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Glade.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Glade-symbolic.svg

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gladeui-%{girmajor}.typelib

%files -n %{devname}
%{_includedir}/libgladeui-2.0/
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_libdir}/libgladeui-%{api}.so
%{_datadir}/gir-1.0/Gladeui-%{girmajor}.gir


%changelog
* Tue Aug 16 2022 tex - 3.38.2-4pclos2022
- rebuild against python3.10

* Fri Feb 18 2022 tex - 3.38.2-3pclos2022
- rebuild against updates

* Thu Feb 17 2022 tex - 3.38.2-2pclos2022
- obsolete old gladeui pkgs

* Fri Nov 03 2021 onkelho <oh.quait at gmail.com> - 3.38.2-1pclos2021
- new version released

* Thu Feb 27 2020 tex - 3.22.2-1pclos2020
- new version

* Sat Mar 23 2019 tex - 3.22.1-2pclos2019
- rebuild against updates

* Tue Apr 03 2018 bb2 <bb2> - 3.22.1-1pclos2018
- new version

* Sat Dec 23 2017 Zen Subz <techars21 at gmail dot com> - 3.20.2-1pclos2017
- Build for PCLinuxOS
